aboutsummaryrefslogtreecommitdiff
path: root/git-repack.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-12-26 23:47:40 -0800
committerJunio C Hamano <junkio@cox.net>2006-12-26 23:47:40 -0800
commite8b4029f990907e24fac0e7772ee19ee6dd55c1c (patch)
treeb3b799be8af66f36bd4a09d0b5ed3d8f03136dab /git-repack.sh
parent268b827d9883e77f395a63e4afa10ebbac10bfcf (diff)
parent7dc269230761e32e663d9cd0b6f4c316466a490d (diff)
downloadgit-e8b4029f990907e24fac0e7772ee19ee6dd55c1c.tar.xz
Merge branch 'jc/fsck-reflog'
* jc/fsck-reflog: Add git-reflog to .gitignore reflog expire: do not punt on tags that point at non commits. reflog expire: prune commits that are not incomplete Don't crash during repack of a reflog with pruned commits. git reflog expire Move in_merge_bases() to commit.c reflog: fix warning message. Teach git-repack to preserve objects referred to by reflog entries. Protect commits recorded in reflog from pruning. add for_each_reflog_ent() iterator
Diffstat (limited to 'git-repack.sh')
-rwxr-xr-xgit-repack.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-repack.sh b/git-repack.sh
index 067898f120..375434b1dc 100755
--- a/git-repack.sh
+++ b/git-repack.sh
@@ -62,7 +62,7 @@ case ",$all_into_one," in
esac
args="$args $local $quiet $no_reuse_delta$extra"
-name=$(git-pack-objects --non-empty --all $args </dev/null "$PACKTMP") ||
+name=$(git-pack-objects --non-empty --all --reflog $args </dev/null "$PACKTMP") ||
exit 1
if [ -z "$name" ]; then
echo Nothing new to pack.